aboutsummaryrefslogtreecommitdiffhomepage
path: root/dev/ci/ci-wrapper.sh
diff options
context:
space:
mode:
authorGravatar Jason Gross <jgross@mit.edu>2017-08-15 14:15:40 -0400
committerGravatar Jason Gross <jgross@mit.edu>2017-08-15 14:23:05 -0400
commit26b0fc20bba2d9d79e176620141697beb3f307a2 (patch)
tree1c9f8e812e10b5726403596a3671a4a4d99af4d8 /dev/ci/ci-wrapper.sh
parent23d1504de4111223dc4805c6f4176a4d9e028b79 (diff)
Move the rest of the ci target to a bash file
Diffstat (limited to 'dev/ci/ci-wrapper.sh')
-rwxr-xr-xdev/ci/ci-wrapper.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/dev/ci/ci-wrapper.sh b/dev/ci/ci-wrapper.sh
new file mode 100755
index 000000000..63bff6778
--- /dev/null
+++ b/dev/ci/ci-wrapper.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+# Use this script to preserve the exit code of $CI_SCRIPT when piping
+# it to `tee time-of-build.log`. We have a separate script, because
+# this only works in bash, which we don't require project-wide.
+
+set -eo pipefail
+
+CI_SCRIPT="$1"
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+# assume this script is in dev/ci/, cd to the root Coq directory
+cd "${DIR}/../.."
+
+"${DIR}/${CI_SCRIPT}" 2>&1 | tee time-of-build.log
+echo 'Aggregating timing log...' && echo -en 'travis_fold:start:coq.test.timing\\r'
+python ./tools/make-one-time-file.py time-of-build.log
+echo -en 'travis_fold:end:coq.test.timing\\r'